gSOAP UDDI v2: uddi2__get_USCOREtModelDetail Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__get_USCOREtModelDetail Class Reference

Schema urn:uddi-org:api_v2:"get_tModelDetail". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__get_USCOREtModelDetail (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREtModelDetail (struct soap *, const char *tModelKey)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREtModelDetail (struct soap *, std::vector< char * > tModelKeys)
| Member declared in uddi2-typemap.dat.
uddi2__tModelDetail * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
std::vector< uddi2__tModelKey > | tModelKey
| Vector of uddi2__tModelKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"get_tModelDetail".

Represents a request to get tModel details from a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137721

## Constructor & Destructor Documentation

uddi2__get_USCOREtModelDetail::uddi2__get_USCOREtModelDetail | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the get_USCOREtModelDetail class.

uddi2__get_USCOREtModelDetail::uddi2__get_USCOREtModelDetail | ( | struct soap * | soap,
|  | const char * | tModelKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModelKey | string
Creates an instance of the get_USCOREtModelDetail class using the specified tModel key.

uddi2__get_USCOREtModelDetail::uddi2__get_USCOREtModelDetail | ( | struct soap * | soap,
|  | std::vector< char * > | tModelKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModelKeys | collection of key strings
Creates an instance of the get_USCOREtModelDetail class using the specified collection of tModel keys.

## Member Function Documentation

uddi2__tModelDetail * uddi2__get_USCOREtModelDetail::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__tModelDetail object or NULL on error Send a request to a UDDI server to get the tModel details.

## Member Data Documentation

char* uddi2__get_USCOREtModelDetail::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__get_USCOREtModelDetail::soap

| A handle to the soap struct context that manages this class instance.

std::vector<uddi2__tModelKey > uddi2__get_USCOREtModelDetail::tModelKey

| Vector of uddi2__tModelKey with length 0..unbounded.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h